Summary:	A GNOME/GTK+ news reader for X
Name:		pan
Version:	0.132
Release:	2%{?dist}
Epoch:		1
License:	GPL
Group:		Applications/Internet
Source0:	http://pan.rebelbase.com/download/%{version}/SOURCE/%{name}-%{version}.tar.bz2
Patch0:		body-pane.cc.diff
URL:		http://pan.rebelbase.com/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	pcre-devel >= 5.0
BuildRequires:	gtkspell-devel >= 2.0.7
BuildRequires:	gettext
BuildRequires:	gmime-devel >= 2.1.0

%description
Pan is a newsreader which attempts to be pleasant to new and
advanced users alike. It has all the standard newsreaders
features and also supports offline newsreading,
sophisticated filtering, multiple connections, yEnc
decoding, and other extra features for power users and
alt.binaries fans. It's also the only Unix newsreader to get
a perfect score on the Good Net-Keeping Seal of Approval
evaluations.

%prep
%setup -q
%patch0 -b .pixbuf

sed -i -e 's|StartupNotify=false|StartupNotify=true|' %{name}.desktop.in

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

install -d $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop \
--vendor=fedora \
--add-category=Application \
--add-category=Network \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
--copy-name-to-generic-name \
--delete-original

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Thu Sep 13 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.132-2
- Add patch for BZ #283241 (upstream #467446)

* Sat Aug 25 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.132-1
- Update to 0.132

* Wed Jun 06 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.131-1
- Update to 0.131 (fixing #241610)

* Sat May 12 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.129-1
- Update to 0.129

* Sun May 06 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.128-1
- Update to 0.128

* Sat Apr 14 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.127-1
- Update to 0.127

* Tue Mar 20 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 1:0.125-2
- Bump release for FE6 -> Fedora 7 upgrade path.

* Tue Feb 27 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.125-1
- Update to 0.125

* Sun Feb 11 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.123-1
- Update to 0.123

* Sun Feb 04 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.122-1
- Update to 0.122

* Sun Jan 14 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.120-1
- Update to 0.120
- Drop --add-category=X-Fedora in pan.desktop

* Sat Nov 11 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.119-1
- Update to 0.119

* Sat Nov 04 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.118-1
- Update to 0.118

* Sun Oct 22 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.117-1
- Update to 0.117

* Sun Oct 15 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.116-1
- Update to 0.116

* Mon Oct 02 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 1:0.115-1
- Update to 0.115 (last `big change' release before 1.0)
- removed unnecessary Patch0 pan-0.99-gi18n.patch
- spec cleanups

* Sat Jun 03 2006 Michael A. Peters <mpeters@mac.com> - 1:0.99-2
- Patch0 to try and fix devel build

* Tue May 30 2006 Michael A. Peters <mpeters@mac.com> - 1:0.99-1
- Update to 0.99

* Tue May 23 2006 Michael A. Peters <mpeters@mac.com> - 1:0.98-1
- Update to 0.98
- previous patches not needed

* Tue May 16 2006 Michael A. Peters <mpeters@mac.com> - 1:0.97-2
- Added pan-0.97-tree-expanders.patch from upstream

* Sat May 13 2006 Michael A. Peters <mpeters@mac.com> - 1:0.97-1
- Update to 0.97 (previous patches no longer needed)
- Patch pan-0.97-crash-on-shutdown.patch from upstream added

* Mon May 08 2006 Michael A. Peters <mpeters@mac.com> - 1:0.96-2
- Two patches from upstream (pan-0.96-upstream-sort_segfault.patch
- and pan-0.96-upstream-subscribed_group.patch)

* Sat May 06 2006 Michael A. Peters <mpeters@mac.com> - 1:0.96-1
- Update to 0.96 - patch0 no longer needed

* Mon May 01 2006 Michael A. Peters <mpeters@mac.com> - 1:0.95-3
- Apply a patch from upstream for new tree implementation bug
-  (Patch0)

* Sun Apr 30 2006 Michael A. Peters <mpeters@mac.com> - 1:0.95-2
- Fix rpmlint errors on debug package

* Sun Apr 30 2006 Michael A. Peters <mpeters@mac.com> - 1:0.95-1
- Update to 0.95

* Mon Apr 24 2006 Michael A. Peters <mpeters@mac.com> - 1:0.94-1
- Update to 0.94

* Wed Apr 19 2006 Michael A. Peters <mpeters@mac.com> - 1:0.93-1
- Update to 0.93

* Mon Apr 17 2006 Michael A. Peters <mpeters@mac.com> - 1:0.91-1
- New upstream version - using spec file mods submitted by
- Alan C. Sanderson with cleanup - Thanks :)
- Closes bug 187874
-
- #* Tue Apr 04 2006 Alan C. Sanderson <Alan.C.Sanderson@gmail.com> - 1:0.90-1
- Updated to 0.90.
- Added gmime-devel >= 2.1.0 BuildRequires
- Removed patches 7,11,12

* Fri Feb 17 2006 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-4
- Devel branch rebuild

* Mon Jan 16 2006 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-3.3
- Devel branch rebuild

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-3.2
- forgot to commit patch to cvs in devel branch.

* Sun Sep 11 2005 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-3.1
- added patch12 to fix bug 165626

* Tue Jun 21 2005 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-2.1
- added gettext BuildRequires

* Tue Jun 21 2005 Michael A. Peters <mpeters@mac.com> - 1:0.14.2.91-2
- bump version
- remove patch 8 - replace w/ gcc4 patch (patch11)
- remove patch 9 - fixed in upstream version bump
- remove patch 10 - fixed in upstream / use desktop-file-install
- remove gnet2 source - use gnet2-devel from Extras
- remove redundant BuildRequires, remove explicit library requires


* Thu May 06 2004 Than Ngo <than@redhat.com> 1:0.14.2-7
- cleanup GNOME/KDE Menu

* Tue Apr 20 2004 Jens Petersen <petersen@redhat.com> - 1:0.14.2-6
- disable pan-0.14.2-gcc34.patch since it seems to break things badly
  (Nathan Grennan,121103)

* Wed Apr 14 2004 Jens Petersen <petersen@redhat.com> - 1:0.14.2-5
- add pan-desktop-rh-119909.patch and use upstream desktop file
  (hayastan132@hotmail.com)
- add pan-0.14.2-gmime-crash-120007.patch to fix crashing
  (confushion@comcast.net)
- add pan-0.14.2-gcc34.patch to fix building with newer gcc (Jeff Law)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-3
- require libxml2 and buildrequire libxml2-devel [Maxim Dzumanenko]

* Wed Sep 17 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-2
- build with gtkspell support enabled [suggested by Alan Sanderson]
- require gtkspell and buildrequire gtkspell-devel and aspell-devel

* Wed Sep  3 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.2-1
- update to 0.14.2 bugfix release (fixes a long-standing seldom seen
  config file corruption bug)

* Thu Aug 28 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.1-1
- update to 0.14.1 bugfix release
- build with gnet-2.0.4 and pass PKG_CONFIG_PATH for it to configure

* Fri Jun 27 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.0-2
- build gnet with glib2 (#98060) [reported by suckfish@ihug.co.nz]

* Sun Jun 22 2003 Jens Petersen <petersen@redhat.com> - 1:0.14.0-1
- update to 0.14.0
- drop pan-0.12.1-browser.patch (the default is now mozilla)
- update pan-0.13.3-editor-80839.patch to pan-0.14.0-default-editor-80839.patch
- build gnet-1.1.9 to make libgnet.a for new gnet requirement
- use %%buildroot

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 1:0.13.3-3
- change browser patch to default to htmlview instead of gnome-moz-remote
  (#80839) and default editor to [from Louis Garcia]
- change default editor to gedit (#80839) [based on patch from Louis Garcia]
- set startup notification in desktop file

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 31 2002 Jens Petersen <petersen@redhat.com> 1:0.13.3-1
- update to 0.13.3

* Thu Nov 28 2002 Jens Petersen <petersen@redhat.com> 1:0.13.2-1
- update to 0.13.2, fixing #77989
- drop old patches

* Thu Aug 29 2002 Jens Petersen <petersen@redhat.com> 1:0.13.0-2
- 0.13.0
- configure with --disable-gtkspell
- fix type of gmime's message_part_write_to_stream on 64bit archs

* Fri Aug 16 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-3
- update desktop file so that pan lives in Extras -> Internet

* Thu Aug 8 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-2
- update url
- update requires and build-requires
- fix desktop file
- update description

* Wed Aug 7 2002 Jens Petersen <petersen@redhat.com> 1:0.12.1-1
- 0.12.1
- build on all archs
- default to gnome-moz-remote, instead of netscape (#70634)

* Wed Jul 10 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.12.0
- Update ja.po to enable Japanese menu.

* Mon Jul 08 2002 Bill Huang <bhuang@redhat.com>
- Upgrade to 0.11.3
- Update "Copyright" to "License"

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 12  2002 Bill Huang <bhuang@redhat.com>
- Update ja.po so that pan can be started up in Japanese locale. 

* Wed Apr  3 2002 Tim Powers <timp@redhat.com>
- update to 0.11.2

* Fri Jan 31 2002 Bill Nottingham <notting@redhat.com>
- build current version in new environment

* Mon Jul  2 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.7, bugfix release
- patched desktop file so that the tooltip isn't considered offensive.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Mar 19 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.5
- fixes bug #31214 where the years were being displayed as 1979 etc.

* Fri Feb 23 2001 Trond Eivind Glomsr?eg@redhat.com>
- langify

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- update to 0.9.1
- no more applnk. Why did we do that in the first place? We have an
  entry for a desktop file in GNOME anyway?

* Wed Sep 13 2000 Tim Powers <timp@redhat.com>
- update to 0.8.1-beta4

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- fixed pan's desktop file location to fix bug #14868, was under /etx now fixed to be under /etc
- use predefined  macros from RPM so that this doesn't happen again :)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsr?eg@redhat.com>
- updated to 0.8.1beta1
- patch for db breakage

* Tue May 23 2000 Preston Brown <pbrown@redhat.com>
- updated to 0.8.0 final

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta8

* Tue Apr 18 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta5

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- updated to 0.7.5

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.6.7
- general spec file cleanups

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- first build of package
